## fake-1.1.8.tar.gz

=== Makefile ===
######################################################################
# Makefile for fake                                       October 1998
# Horms                                             horms@verge.net.au
#
# Fake
# Script to spoof an ip
# Designed to create redundant servers
# Copyright (C) 1998  Horms <horms@verge.net.au>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330,
######################################################################

ROOT_DIR=
BIN_DIR=$(ROOT_DIR)/usr/sbin
BIN=fake
CONFIG_DIR=$(ROOT_DIR)/etc/fake
CONFIG=.fakerc clear_routers
INSTANCE_CONFIG_DIR=$(ROOT_DIR)/etc/fake/instance_config
INSTANCE_CONFIG=instance_config/203.12.97.7.cfg \
instance_config/192.168.89.19.cfg
MAN8=fake.8 send_arp.8
MAN8_DIR=$(ROOT_DIR)/usr/man/man8
DOC_DIR=$(ROOT_DIR)/usr/doc/fake-1.1.8
DOCS=README AUTHORS COPYING ChangeLog
SUBDIR=send_arp heartbeat

.PHONY: all install clean patch

all: patch
	for i in $(SUBDIR); do make -C $$i all; done

clean: patch
	for i in $(SUBDIR); do make -C $$i clean; done
	make unpatch
	rm -f core send_arp/send_arp.c.orig

install: all
	for i in $(SUBDIR); do make -C $$i install; done
	test -d $(BIN_DIR) || mkdir -p $(BIN_DIR)
	install -c -m 755 $(BIN) $(BIN_DIR)
	test -d $(CONFIG_DIR) || mkdir -p $(CONFIG_DIR)
	install -c -m 644 $(CONFIG) $(CONFIG_DIR)
	test -d $(INSTANCE_CONFIG_DIR) || mkdir -p $(INSTANCE_CONFIG_DIR)
	install -c -m 644 $(INSTANCE_CONFIG) $(INSTANCE_CONFIG_DIR)
	test -d $(DOC_DIR) || mkdir -p $(DOC_DIR)
	install -c -m 644 $(DOCS) $(DOC_DIR)
	test -d $(MAN8_DIR) || mkdir -p $(MAN8_DIR)
	install -c -m 644 $(MAN8) $(MAN8_DIR)

patch:
	cd send_arp ; test -f Makefile ||  \
		( patch -p 1 < ../send_arp.patch ; \
		patch -p 1 < ../send_arp.dev.patch ; \
		patch -p 1 < ../send_arp.l2.patch ; )

unpatch:
	cd send_arp ; test -f Makefile &&  \
		( patch -p 1 -R < ../send_arp.l2.patch ; \
		patch -p 1 -R < ../send_arp.dev.patch ; \
		patch -p 1 -R < ../send_arp.patch ; )
	cd send_arp ; rm -f Makefile

=== heartbeat/Makefile ===
######################################################################
# Makefile for fake                                       October 2002
# Horms                                             horms@verge.net.au
#
# Fake
# Script to spoof an ip
# Designed to create redundant servers
# Copyright (C) 1998  Horms <horms@verge.net.au>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330,
######################################################################

ROOT_DIR=
RESOURCE=fake
HB_RESOURCE_DIR=$(ROOT_DIR)/usr/lib/heartbeat

.PHONY: all install clean

all:

clean:

install: all
	test -d $(HB_RESOURCE_DIR) || mkdir -p $(HB_RESOURCE_DIR)
	install -c -m 755 $(RESOURCE) $(HB_RESOURCE_DIR)

=== debian/changelog ===
fake (1.1.8-1) unstable; urgency=low

  * Updated for 1.1.8
    (closes: Bug#165318)

 -- Simon Horman <horms@vergenet.net>  Mon, 21 Oct 2002 12:35:19 +0900

fake (1.1.7) unstable; urgency=low

  * A release

 -- Simon Horman <horms@vergenet.net>  Mon,  7 Jan 2002 04:39:42 +1100

Local variables:
mode: debian-changelog
End:
eoch

=== debian/control ===
Source: fake
Build-Depends: debhelper, patch
Section: admin
Priority: optional
Maintainer: Simon Horman <horms@vergenet.net>
Standards-Version: 3.5.2

Package: fake
Architecture: any
Depends: ${shlibs:Depends}
Description: IP address takeover tool
 Fake is a utility that enables the IP address be taken over by bringing up
 a second interface on the host machine and using gratuitous arp. Designed
 to switch in backup servers on a LAN.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DH_COMPAT=2

pwd:=$(shell pwd)

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) patch all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) \
	  ROOT_DIR=$(pwd)/debian/tmp \
	  MAN8_DIR=$(pwd)/debian/tmp/usr/share/man/man8/ \
  	  install

	mkdir -p $(pwd)/debian/tmp/usr/share/doc/fake
	install -c -m 644 instance_config/192.168.89.19.cfg \
	  $(pwd)/debian/tmp/usr/share/doc/fake/
	install -c -m 644 instance_config/203.12.97.7.cfg \
	  $(pwd)/debian/tmp/usr/share/doc/fake/
	install -c -m 644 README $(pwd)/debian/tmp/usr/share/doc/fake/
	install -c -m 644 AUTHORS $(pwd)/debian/tmp/usr/share/doc/fake/
	install -c -m 644 ChangeLog \
	  $(pwd)/debian/tmp/usr/share/doc/fake/changelog
	gzip --best $(pwd)/debian/tmp/usr/share/doc/fake/changelog
	install -c -m 644 docs/redundant_linux.txt \
	  $(pwd)/debian/tmp/usr/share/doc/fake/
	gzip --best \
	  $(pwd)/debian/tmp/usr/share/doc/fake/redundant_linux.txt
	install -c -m 644 docs/arp_fun.txt \
	  $(pwd)/debian/tmp/usr/share/doc/fake/
	gzip --best $(pwd)/debian/tmp/usr/share/doc/fake/arp_fun.txt

	dh_movefiles --source=debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
